Compat Wireless Drivers Centrino N-2230

Posted by user2699451 on Super User See other posts from Super User or by user2699451
Published on 2013-10-29T08:53:46Z Indexed on 2013/10/29 10:00 UTC
Read the original article Hit count: 1065

So I am using linux and am having trouble installing the Compat Wireless drivers

Hardware: Intel Centrino N-2230

OS: Linux Mint 64bit (kernel 13.08-generic)

I followed this link http://www.mathyvanhoef.com/2012/09/compat-wireless-injection-patch-for.html

Output:

apt-get install linux-headers-$(uname -r)
Reading package lists... Done
Building dependency tree       
Reading state information... Done
linux-headers-3.8.0-19-generic is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 19 not upgraded.
charles-W55xEU compat-wireless-2010-10-16 # cd ~
charles-W55xEU ~ # dir
adt-bundle-linux-x86_64-20130917.zip  Desktop  known_hosts_backup
charles-W55xEU ~ # wget http://www.orbit-lab.org/kernel/compat-wireless-3-stable/v3.6/compat-wireless-3.6.2-1-snp.tar.bz2
--2013-10-29 10:28:23--  http://www.orbit-lab.org/kernel/compat-wireless-3-stable/v3.6/compat-wireless-3.6.2-1-snp.tar.bz2
Resolving www.orbit-lab.org (www.orbit-lab.org)... 128.6.192.131
Connecting to www.orbit-lab.org (www.orbit-lab.org)|128.6.192.131|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4443700 (4,2M) [application/x-bzip2]
Saving to: ‘compat-wireless-3.6.2-1-snp.tar.bz2’

100%[======================================>] 4 443 700   13,5KB/s   in 11m 3s 

2013-10-29 10:39:27 (6,55 KB/s) - ‘compat-wireless-3.6.2-1-snp.tar.bz2’ saved [4443700/4443700]

charles-W55xEU ~ # tar -xf compat-wireless-3.6.2-1-snp.tar.bz2
charles-W55xEU ~ # cd compat-wireless-3.6-rc6-1
bash: cd: compat-wireless-3.6-rc6-1: No such file or directory
charles-W55xEU ~ # dir
adt-bundle-linux-x86_64-20130917.zip  Desktop
compat-wireless-3.6.2-1-snp       known_hosts_backup
compat-wireless-3.6.2-1-snp.tar.bz2
charles-W55xEU ~ # cd compat-wireless-3.6.2-1-snp/
charles-W55xEU compat-wireless-3.6.2-1-snp # dir
code-metrics.txt  defconfigs           linux-next-pending  pending-stable
compat        drivers          MAINTAINERS         README
config.mk     enable-older-kernels     Makefile        scripts
COPYRIGHT     include          net             udev
crap          linux-next-cherry-picks  patches
charles-W55xEU compat-wireless-3.6.2-1-snp # wget http://patches.aircrack-ng.org/mac80211.compat08082009.wl_frag+ack_v1.patch
--2013-10-29 10:40:52--  http://patches.aircrack-ng.org/mac80211.compat08082009.wl_frag+ack_v1.patch
Resolving patches.aircrack-ng.org (patches.aircrack-ng.org)... 213.186.33.2, 2001:41d0:1:1b00:213:186:33:2
Connecting to patches.aircrack-ng.org (patches.aircrack-ng.org)|213.186.33.2|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1049 (1,0K) [text/plain]
Saving to: ‘mac80211.compat08082009.wl_frag+ack_v1.patch’

100%[======================================>] 1 049       --.-K/s   in 0s      

2013-10-29 10:40:56 (180 MB/s) - ‘mac80211.compat08082009.wl_frag+ack_v1.patch’ saved [1049/1049]

charles-W55xEU compat-wireless-3.6.2-1-snp # patch -p1 < mac80211.compat08082009.wl_frag+ack_v1.patch
patching file net/mac80211/tx.c
Hunk #1 succeeded at 792 (offset 115 lines).


charles-W55xEU compat-wireless-3.6.2-1-snp # wget -Ocompatwireless_chan_qos_frag.patch http://pastie.textmate.org/pastes/4882675/download
--2013-10-29 10:43:18--  http://pastie.textmate.org/pastes/4882675/download
Resolving pastie.textmate.org (pastie.textmate.org)... 178.79.137.125
Connecting to pastie.textmate.org (pastie.textmate.org)|178.79.137.125|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://pastie.org/pastes/4882675/download [following]
--2013-10-29 10:43:20--  http://pastie.org/pastes/4882675/download
Resolving pastie.org (pastie.org)... 96.126.119.119
Connecting to pastie.org (pastie.org)|96.126.119.119|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2036 (2,0K) [application/octet-stream]
Saving to: ‘compatwireless_chan_qos_frag.patch’

100%[======================================>] 2 036       --.-K/s   in 0,001s  

2013-10-29 10:43:21 (3,35 MB/s) - ‘compatwireless_chan_qos_frag.patch’ saved [2036/2036]

charles-W55xEU compat-wireless-3.6.2-1-snp # patch -p1 < compatwireless_chan_qos_frag.patch
patching file drivers/net/wireless/rtl818x/rtl8187/dev.c
patching file net/mac80211/tx.c
Hunk #1 succeeded at 1495 (offset 8 lines).
patching file net/wireless/chan.c
charles-W55xEU compat-wireless-3.6.2-1-snp # make
./scripts/gen-compat-autoconf.sh /root/compat-wireless-3.6.2-1-snp/.config /root/compat-wireless-3.6.2-1-snp/config.mk > include/linux/compat_autoconf.h
make -C /lib/modules/3.8.0-19-generic/build M=/root/compat-wireless-3.6.2-1-snp modules
make[1]: Entering directory `/usr/src/linux-headers-3.8.0-19-generic'
  CC [M]  /root/compat-wireless-3.6.2-1-snp/compat/main.o
  LD [M]  /root/compat-wireless-3.6.2-1-snp/compat/compat.o
  CC [M]  /root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.o
In file included from /root/compat-wireless-3.6.2-1-snp/include/linux/bcma/bcma.h:8:0,
                 from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/bcma_private.h:8,
                 from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:8:
/root/compat-wireless-3.6.2-1-snp/include/linux/bcma/bcma_driver_pci.h:217:23: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bcma_core_pci_init’
In file included from /root/compat-wireless-3.6.2-1-snp/include/linux/bcma/bcma.h:10:0,
                 from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/bcma_private.h:8,
                 from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:8:
/root/compat-wireless-3.6.2-1-snp/include/linux/bcma/bcma_driver_gmac_cmn.h:95:23: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bcma_core_gmac_cmn_init’
In file included from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:8:0:
/root/compat-wireless-3.6.2-1-snp/drivers/bcma/bcma_private.h:25:15: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bcma_bus_register’
/root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:152:15: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bcma_bus_register’
/root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:17:21: warning: ‘bcma_bus_next_num’ defined but not used [-Wunused-variable]
/root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:93:12: warning: ‘bcma_register_cores’ defined but not used [-Wunused-function]
make[3]: *** [/root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.o] Error 1
make[2]: *** [/root/compat-wireless-3.6.2-1-snp/drivers/bcma] Error 2
make[1]: *** [_module_/root/compat-wireless-3.6.2-1-snp] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.8.0-19-generic'
make: *** [modules] Error 2
charles-W55xEU compat-wireless-3.6.2-1-snp # make install
Warning:
You may or may not need to update your initframfs, you should if
any of the modules installed are part of your initramfs. To add
support for your distribution to do this automatically send a
patch against ./scripts/update-initramfs. If your distribution does not require this
send a patch against the '/usr/bin/lsb_release -i -s': LinuxMint
tag for your distribution to avoid this warning.

make -C /lib/modules/3.8.0-19-generic/build M=/root/compat-wireless-3.6.2-1-snp modules
make[1]: Entering directory `/usr/src/linux-headers-3.8.0-19-generic'
  CC [M]  /root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.o
In file included from /root/compat-wireless-3.6.2-1-snp/include/linux/bcma/bcma.h:8:0,
                 from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/bcma_private.h:8,
                 from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:8:
/root/compat-wireless-3.6.2-1-snp/include/linux/bcma/bcma_driver_pci.h:217:23: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bcma_core_pci_init’
In file included from /root/compat-wireless-3.6.2-1-snp/include/linux/bcma/bcma.h:10:0,
                 from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/bcma_private.h:8,
                 from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:8:
/root/compat-wireless-3.6.2-1-snp/include/linux/bcma/bcma_driver_gmac_cmn.h:95:23: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bcma_core_gmac_cmn_init’
In file included from /root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:8:0:
/root/compat-wireless-3.6.2-1-snp/drivers/bcma/bcma_private.h:25:15: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bcma_bus_register’
/root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:152:15: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘bcma_bus_register’
/root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:17:21: warning: ‘bcma_bus_next_num’ defined but not used [-Wunused-variable]
/root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.c:93:12: warning: ‘bcma_register_cores’ defined but not used [-Wunused-function]
make[3]: *** [/root/compat-wireless-3.6.2-1-snp/drivers/bcma/main.o] Error 1
make[2]: *** [/root/compat-wireless-3.6.2-1-snp/drivers/bcma] Error 2
make[1]: *** [_module_/root/compat-wireless-3.6.2-1-snp] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.8.0-19-generic'
make: *** [modules] Error 2
charles-W55xEU compat-wireless-3.6.2-1-snp # 

It keeps giving errors, same with other sites, I get the same errors???

I am lost, help needed

© Super User or respective owner

Related posts about wireless-networking

Related posts about drivers